---

project:
  name: sciencesu-labs
  tier: staging
  system_admin_user: sciencesu
  system_app: app
  system_app_group: app
  system_app_user: app
  system_app_password: ~
  system_app_dir: "/srv/wordpress"
  system_app_log_dir: "/srv/log"
  system_app_log_dir_mode: "0755"

#######
# Apt #
#######

manala_apt_configs:
  - file: archive
    template: configs/check_valid_until_false.j2

manala_apt_components:
  - main

manala_apt_repositories_exclusive: true

manala_apt_packages:
  - rsync
  - less
  - screen
  - tree
  - curl
  - htop
  - strace
  - tcpdump
  - dstat
  - iotop
  - debsums
  - xz-utils

###############
# Environment #
###############

manala_environment_files:
  - zsh

#########
# Files #
#########

manala_files_attributes_defaults:
  - path: ^/etc
    user: root
    group: root

#######
# Git #
#######

manala_git_config_template: all/git/gitconfig.j2

###########
# Locales #
###########

manala_locales_codes_default: C.UTF-8

########
# Motd #
########

manala_motd_scripts_exclusive: true
manala_motd_scripts:
  - file: 10-{{ project.system_admin_user }}
    template: scripts/dragon.j2
    tier: "{{ project.tier }}"
    message: My awesome message

#############
# Oh my zsh #
#############

manala_ohmyzsh_custom_themes_exclusive: true
manala_ohmyzsh_custom_themes:
  - template: all/ohmyzsh/theme.zsh-theme.j2
    config:
      tier: "{{ project.tier }}"

manala_ohmyzsh_users:
  - user: root
    group: root
    template: all/ohmyzsh/.zshrc.j2
  - user: "{{ project.system_admin_user }}"
    group: users
    template: all/ohmyzsh/.zshrc.j2

#######
# Ssh #
#######

manala_ssh_server_config_template: all/ssh/sshd_config.j2
manala_ssh_client_config_template: all/ssh/ssh_config.j2

############
# Timezone #
############

manala_timezone_default: Etc/UTC

#######
# Vim #
#######

manala_vim_config_template: all/vim/vimrc.local.j2
